apt: PackageUniverse Class Reference

apt 3.0.1 commandline package manager

Classes | Public Types | Public Member Functions | List of all members
PackageUniverse Class Reference

`#include <apt-pkg/cacheset.h>`

Inheritance diagram for PackageUniverse:

## Classes
class | const_iterator

## Public Types
typedef const_iterator | iterator
typedef pkgCache::PkgIterator | value_type
typedef pkgCache::PkgIterator * | pointer
typedef pkgCache::PkgIterator const * | const_pointer
typedef const pkgCache::PkgIterator & | const_reference
typedef const_reference | reference
typedef const_iterator::difference_type | difference_type
typedef std::make_unsigned< const_iterator::difference_type >::type | size_type

## Public Member Functions
bool | empty () const override
size_t | size () const override
const_iterator | begin () const
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
iterator | begin ()
iterator | end ()
pkgCache * | data () const
| PackageUniverse (pkgCache *const Owner)
| PackageUniverse (pkgCacheFile *const Owner)
Public Member Functions inherited from PackageContainerInterface
void | setConstructor (CacheSetHelper::PkgSelector const by)
CacheSetHelper::PkgSelector | getConstructor () const
| PackageContainerInterface (CacheSetHelper::PkgSelector const by)
| PackageContainerInterface (PackageContainerInterface const &by)
PackageContainerInterface & | operator= (PackageContainerInterface const &other)

## Detailed Description

Wraps around our usual pkgCache, so that it can be stuffed into methods expecting a PackageContainer.

The wrapping is read-only in practice modeled by making erase and co private methods.

## Member Function Documentation

## ◆ empty()

bool empty | ( |  | ) | const
| inlinenodiscardoverridevirtual

Implements PackageContainerInterface.

## ◆ size()

size_t size | ( |  | ) | const
| inlinenodiscardoverridevirtual

Implements PackageContainerInterface.

The documentation for this class was generated from the following files:

- apt-pkg/cacheset.h
- apt-pkg/cacheset.cc